/* -----------------------------------------------
--------------- Custom components ----------------
----------------------------------------------- */

/************ List style ************/
/* Default list style (Sv-news module) */
.hav-list-item {
   border-bottom: 1px solid #E4ECEE;
}
.hav-list-item--link {
   display: block;
   text-decoration: none;
   padding: 1.5rem 1.375rem;
}
.hav-list-item--category p.hav-category {
   margin: 0;
}
/*.hav-list-item a:hover {
   text-decoration: none;
} */
.hav-list-item--preamble p.normal-small {
   margin: 0;  
}
.hav-list-item--preamble p.normal {
   margin-top: 0!important;
}
.hav-list-item--category {
   margin-bottom: .5rem;
}
.hav-list-item--name {
   font-family: "TT Norms Pro medium",sans-serif;
   color: #232323;
   font-size: 1.25rem;
   line-height: 1.5rem;
}
.hav-list-item--name a {
   font-family: "TT Norms Pro medium",sans-serif;
   color: #232323;
   font-size: 1.25rem;
   line-height: 1.5rem;
   margin: 0;
   text-decoration: none;
   position: initial;
   padding-top: .2rem;
   padding-bottom: .2rem;
}
.hav-list-item--name a:before {
   display: none;
}
.hav-list-item--name a:after {
   content: "";
   position: absolute;
   top: 0;
   left: 0;
   right: 0;
   bottom: 0;
}

.hav-list-item p.normal {
	margin-bottom: .5rem;
}

/********* Custom list style (Sv-news module) *********/

 a.hav-list__items--item-link[href^="http://"] .hav-list__items--item-text .hav-list-item--name, 
 a.hav-list__items--item-link[href^="https://"] .hav-list__items--item-text .hav-list-item--name {
    position: relative;
    margin-left: 1.5rem;
 }
 a.hav-list__items--item-link[href^="http://"] .hav-list__items--item-text .hav-list-item--name:before, 
 a.hav-list__items--item-link[href^="https://"] .hav-list__items--item-text .hav-list-item--name:before {
    content: "";
    display: inline-block;
    position: absolute;
    top: .1rem;
    left: -1.5rem;
    background: url('/webdav/images/Assets/icons/external-link.svg') right no-repeat;
    width: 1rem;
    height: 1rem;
    background-size: 1rem 1rem;
 }
 
 
 /* Jobb */
 .hav-list-item-job {
    text-decoration: none;
    padding: 1.5rem 1.375rem;
 }
 .hav-list-item-job {
    display: block;
    position: relative;
 }
 .hav-jobs__metainfo {
    display: block;
    margin-bottom: .5rem;
 }
 .hav-jobs__metainfo span {
    text-transform: uppercase;
    color: #767676;
    font-size: .75rem;
    line-height: .938rem;
    letter-spacing: .063rem;
 }
 .hav-jobs__metainfo--text {
    font-family: 'TT Norms Pro Bold',sans-serif;
 }
 .hav-jobs__metainfo--date {
    font-family: 'TT Norms Pro Medium',sans-serif;
 }


/* Default list style (skript) */
.hav-list {
   display: block;
   background-color: #fff;
}
.hav-list a {
   margin-left: 0;
}
.hav-list a:before {
   display: none;
}
.hav-list .hav-list__items {
   list-style: none;
   padding: 0;
   margin: 0;
}
.hav-list .hav-list__items--item {
   border-bottom: 1px solid #E4ECEE;
}
.hav-list .hav-list__items--item-link {
   display: block;
   text-decoration: none;
   padding: 1.5rem 1.375rem;
}
.hav-list .hav-list__items--item-link:hover .hav-list__items--item-title {
   text-decoration: underline;
}
.hav-list .hav-list__items--item-info {
   display: block;
   margin-bottom: .5rem;
}
.hav-list .hav-list__items--item-info .hav-list__items--item-tag,
.hav-list .hav-list__items--item-text .hav-list__items--item-tag {
   font-family: 'TT Norms Pro Bold', sans-serif;
   text-transform: uppercase;
   color: #767676;
   font-size: .75rem;
   line-height: .938rem;
   letter-spacing: .063rem;
}
.hav-list .hav-list__items--item-info .hav-list__items--item-date {
   font-family: 'TT Norms Pro Medium', sans-serif;
   text-transform: uppercase;
   color: #767676;
   font-size: .75rem;
   line-height: .938rem;
   letter-spacing: .063rem;
}
.hav-list .hav-list__items--item-info .hav-list__items--item-special-date .hav-list__items--item-date {
   display: block;
   font-family: 'TT Norms Pro Bold', sans-serif;
   text-align: center;
   color: #092D4B;
}
.hav-list .hav-list__items--item-info .hav-list__items--item-special-date .hav-list__items--item-date:first-child {
   font-size: 1.5rem;
}
.hav-list .hav-list__items--item-info .hav-list__items--item-special-date .hav-list__items--item-date:last-child {
   font-size: .75rem;
}

.hav-list__items--item-text > span {
   display: block;
}
.hav-list__items--item-text .normal, .hav-list__items--item-text .normal-small {
   margin-bottom: 0;
}
.hav-list-page {
   padding-left: 0;
   padding-right: 0;
}
.hav-list-page li {
   display: none;
}
.hav-list-page li:nth-child(-n+3) {
   display: block;
}

.hav-list-page-ten li:nth-child(-n+10) {
    display: block;
 }
.hav-list-page-three li:nth-child(-n+3) {
    display: block;
 }

.hav-list-page-five li:nth-child(-n+5) {
    display: block;
 }

.hav-list-page-twenty li:nth-child(-n+20) {
    display: block;
 }

.hav-list-page-fifty li:nth-child(-n+50) {
    display: block;
 }

.hav-list-page__show-more {
   text-align: center;
   margin-top: 2rem;
}
.hav-list-page__show-more .hav-list-page__show-more--button {
   text-transform: uppercase;  
}



/* Buttons */
.hav-list__button--holder {
   display: flex;
   justify-content: center;
   flex-wrap: wrap;
   padding: 2rem 1.375rem;
}
.hav-list__button--holder > a {
   margin-top: .3rem;
   margin-left: .2rem;
   margin-right: .2rem;
}
.hav-list__button--holder a {
   text-transform: uppercase;
   text-align: center;
   padding: .625rem .7rem;
}

@media(max-width: 990px) {
   .hav-list__button--holder {
      flex-direction: column;
   }
   .hav-list__button--holder > a {
      margin-right: 0;
      margin-left: 0;
   }
}


/* List style adjustments for service action */
.hav-list.hav-startpage__service-action {
   max-height: 200px;
   overflow: auto;
}

/* List style adjustments for upcoming events */
.hav-event--list .hav-list__items--item-link {
   display: flex;
   align-items: center;
}
.hav-event--list .hav-list__items--item-link .hav-list__items--item-info {
   display: flex;
   flex-direction: column;
   margin-bottom: 0;
   margin-right: .875rem; 
}

.hav-event--list .hav-list__items--item-info span {
   display: block;
   font-family: 'TT Norms Pro Bold',sans-serif !important;
   text-align: center;
   color: #092d4b !important;
   text-transform: uppercase;
   white-space: nowrap;
}
.hav-event--list .hav-list__items--item-info  .hav-list__items--item-date {
   font-size: 1.5rem;
}
.hav-event--list .hav-list__items--item-info  .hav-list__items--item-month {
   font-size: .75rem;
}
.hav-event--list .hav-list__items--item-tag {
   display: block;
   margin-bottom: .5rem; 
}
.hav-event--list .hav-list__items--item-link .hav-list__items--item-info {
   margin-right: 1rem;
}



.hav-startpage__upcoming-events .hav-list__items--item-link {
   display: flex;
}
.hav-startpage__upcoming-events .hav-list__items--item-link .hav-list__items--item-info {
   display: flex;
   align-items: center;
   margin-bottom: 0;
   margin-right: .875rem;
}


/************ Dropdown ************/
/* Default style */
.hav-dropdown__wrapper {
   display: flex;
   margin-bottom: 1rem;
}
.hav-dropdown {
   display: inline-block;
   position: relative;
   background-color: #fff;
   margin-right: 1rem;
}
.hav-dropdown__button-holder {
   display: inline-block;
}
.hav-dropdown__button {
   cursor: pointer;
   background: transparent;
   border: 1px solid #B0C4CD;
   border-radius: 4px;
   background-color: #FFFFFF;
   position: relative;
   padding: .66rem 2rem .66rem 1rem;
   box-sizing: border-box;
   min-width: 300px;
   text-align: left;
   font-size: 1rem;
   transition: transform 380ms ease;
   display: block;
   text-decoration: none;
}
.hav-dropdown__items {
   visibility: hidden;
   border: 0;
   clip: rect(0 0 0 0);
   height: 1px;
   margin: -1px;
   overflow: hidden;
   padding: 0;
   position: absolute;
   width: 1px;
}
.hav-dropdown__items ul {
   list-style: none;
   padding: 0;
   margin: 0;
   border-radius: .313rem;
   border: 1px solid #B0C4CD;
   background-color: #fff;
}
.hav-dropdown__items ul .hav-dropdown__item a {
   padding: .7rem 1.25rem;
   cursor: pointer;
   text-decoration: none;
   display: block; 
}
.hav-dropdown__items ul .hav-dropdown__item a:hover {
   background-color: #B0C4CD;
   color: #fff;
}
.hav-dropdown__button .hav-dropdown__button--arrow {
   display: inline-block;
   position: absolute;
   top: .313rem;
   right: .313rem;
   padding: .25rem;
   transition: transform 380ms ease;
}
.hav-dropdown__button .hav-dropdown__button--arrow:after {
   content: "";
   display: block;
   /* background: url('/webdav/images/Assets/icons/Angle-down.svg') no-repeat; */
   background-size: .9rem .9rem;
   height: .9rem;
   width: .9rem; 
}

/* Active style */
.hav-dropdown__button.hav-dropdown__active {

}
.hav-dropdown__button.hav-dropdown__active .hav-dropdown__button--arrow {
   transform: rotate(180deg); 
}
/*.hav-dropdown__button.hav-dropdown__active .hav-dropdown__button--arrow:after {
background: url('') no-repeat;
background-size: .9rem .9rem;
height: .9rem;
width: .9rem; 
} */
.hav-dropdown__items.hav-dropdown__active {
   display: block;
   position: absolute;
   visibility: visible;
   clip: auto;
   min-width: 100%;
   overflow: auto;
   z-index: 1;
   height: auto;
   margin: auto;
   margin-top: .1rem;
   width: auto; 
}

/* Disabled style */
.hav-dropdown__button.hav-dropdown__disabled {
   /* pointer-events: none; */
   user-select: none;
   color: gray;
   border: 1px solid gray;
}

.hav-dropdown__items ul .hav-dropdown__item.hav-dropdown__item--disabled {
   /* pointer-events: none; */
   user-select: none;
}
.hav-dropdown__items ul .hav-dropdown__item.hav-dropdown__item--disabled a {
   /* pointer-events: none; */
   user-select: none;
   color: gray;    
} 
.hav-dropdown__button.hav-dropdown__disabled .hav-dropdown__button-holder .hav-dropdown__button .hav-dropdown__button--arrow:after {
   content: "";
   display: block;
   background: url('') no-repeat;
   background-size: .9rem .9rem;
   height: .9rem;
   width: .9rem; 
}

/************ Inputfield ************/
input:not([type="radio"]):not([type="checkbox"]) {
   -webkit-appearance: none;
   border-radius: 0;
}

.hav-searchfield {
   font-family: 'TT Norms Pro Medium';
   box-sizing: border-box;
   height: 2.5rem;
   width: 274px;
   margin: 0;
   padding: .25rem 1rem;
   border: 1px solid #B0C4CD;
   border-radius: 4px;
   box-shadow: none;
   font-size: 1rem;
}

/************ Textarea ************/
textarea { 
   resize: vertical;
   min-height: 72px;
   border-radius: 0 !important;
}


/************ Checkbox ************/
.hav_checkbox-wrapper {
   display: -ms-flexbox; 
   display: -webkit-flex;
   display: flex; 
   flex-wrap: wrap;
}
.hav_checkboxes-box {
   border: none;
   padding: 0;
}
.hav_checkboxes-box {
   display: inline-block;
   position: relative;
   padding-top: .625rem;
   padding-bottom: .625rem;
   margin-right: 1.375rem;
}
.hav_checkboxes-box input[type="checkbox"] {
   opacity: 0;
   position: absolute;    
}
.hav_checkboxes-box label {
   position: relative;
   padding-left: 2rem;
   cursor: pointer;
}

.hav_checkboxes-box label:before {
   content: "";
   position: absolute;
   display: inline-block;
   border: 1px solid #B0C4CD;
   border-radius: 2px;
   background-color: #FFFFFF;
   width: 1.25rem;
   height: 1.25rem; 
   top: 0;
   left: 0;
}
.hav_checkboxes-box label:after {
   position: absolute;
   display: block;
   background-image: url(/webdav/images/Assets/icons/Checkmark.svg);
   background-repeat: no-repeat;
   background-position: center;
   background-size: 1.25rem;
   width: 1.25rem;
   height: 1.25rem; 
   top: 0;
   left: 0;
}
.hav_checkboxes-box label:hover:before {
   border-color: #00594F;
}
.hav_checkboxes-box input[type="checkbox"] {
   opacity: 0;
}      
.hav_checkboxes-box input[type="checkbox"]:checked + label:before {
   opacity: 1;    
}
.hav_checkboxes-box input[type="checkbox"]:checked + label:after {
   content: "";
   border-color: #1a1a1a;  
   opacity: 1; 
}
.hav_checkboxes-box input[type="checkbox"]:focus + label:before {
   outline: none;
}
.hav_checkboxes-box input.focus-visible[type="checkbox"]:focus + label:before {
   border-color: #ee6623;
   outline: none;
}
.hav_checkboxes-box input[type="checkbox"][disabled] + label {
   cursor: default;
   /* pointer-events: none; */
}
.hav_checkboxes-box input[type="checkbox"][disabled] + label:before {
   background-color: #e0e0e0;
   border: 1px solid #989898;     
}
.hav_checkboxes-box input[type="checkbox"][disabled] + label:after:hover {
   opacity: 0;    
}


/************ Share ************/
.hav-share__button--wrapper {
   min-width: 100px;
}
.hav-share__button {
   border: none;
   background-color: transparent;
   padding: 0;
   margin: 0;
   cursor: pointer;
   text-decoration: underline;
   color: #005F88;
}
.hav-share__button {
   position: relative;
   padding-left: 1.5rem;
}
.hav-share__button:before {
   content: "";
   display: block;
   background: url('/images/18.19121d3e1740035673c523f/1597770139317/share.svg') no-repeat;
   width: 1.1rem;
   height: 1.1rem;
   background-size: 1.1rem 1.1rem;
   margin: 0;
   position: absolute;
   top: .2rem;
   left: 0;
}
.hav-share__button.hav-share__button--active:before {
   content: "";
   display: block;
   background: url('/webdav/images/Assets/icons/close-blue.svg') no-repeat;
   width: 1.4rem;
   height: 1.4rem;
   background-size: 1.4rem 1.4rem;
   margin: 0;
   position: absolute;
   top: .1rem;
   left: 0;
}
.hav-share__button--text:hover {
   color: #092D4B;  
}
.hav-share__button--text-close {
   display: none;
}
.hav-share__button--active .hav-share__button--text {
   display: none;
}
.hav-share__button--active .hav-share__button--text-close {
   display: block;
}

.hav-share {
   position: relative;
   margin-right: 1rem; 
}

.hav-share-items {
   display: none; 
   position: absolute;
   top: 1.375rem;
   left: -26px; 
   right: 0;
   margin-top: .625rem;
   margin-bottom: .625rem;
   margin-left: 0;
   margin-right: 0;
   border-radius: 0;
   border: 0;
   box-shadow: 0 2px 12px rgba(0,0,0, .175);
}
.hav-share-items.env-popover {
   max-width: initial !important;
   width: 220px;
}
.hav-share-items .env-p-around--small {
   padding: 1rem!important;
}
.hav-share-item {
   flex-direction: column;
}
.hav-share-item a {
   margin-left: 0;
}
.hav-share-item a:before {
   display: none;
}
.hav-share__media--icon {
   width: 1rem;
   height: 1rem;
   margin-right: .8rem;
}
.hav-share__media--copy {
   font-family: "TT Norms Pro Regular",sans-serif;
   font-size: 1rem;
   border: none;
   background-color: transparent;
   padding: 0;
   margin: 0;
   cursor: pointer;
   text-decoration: underline;
   color: #005F88;
}

.hav-share-item a {
   color: #005F88;
   text-decoration: underline;
}
.hav-share-item a,
.hav-share-item button {
   display: flex;
   margin-bottom: .4rem;
}
.hav-share-item a p,
.hav-share-item button p {
   margin-top: 0!important;
   color: inherit;
}
.hav-share__media--copy span {
   color: #005F88;
   margin-bottom: 0;
}
.hav-share__media--icon {
   position: relative;
   top: 3px;
}
.hav-share__media--copy-icon {
   top: 4px;
}
.hav-share__button--text-close:hover {
   color: #092D4B;
}
.hav-share-link-wrapper {
   padding-left: 1.8rem;
   position: relative;
}
.hav-share__media--copy-icon {
   position: absolute;
   left: 0;
   top: 1px;
   width: 1.3rem;
   height: 1.3rem;
}
.hav-share-item > a {
   position: relative;
   padding-left: 1.8rem;
}
.hav-share-item > a img {
   position: absolute;
   left: 0;
   top: 3px;
}

.hav-float-right {
    float: right;
    margin-left: 1em;
    position: relative;
}



/************ Animation ************/
.hav-wave {
   width: 100px;
   margin-bottom: .8rem;
}


/************ Cookies ************/
/* General */
.cookies {
   position: fixed;
   display: none;
   bottom: 0; 
   left: 0;
   width: 100%;
   z-index: 9999;
   padding: 1.6rem 1rem;
   background-color: #fff;
   text-align: center;
   box-shadow: 0 -9px 10px -4px rgba(0,0,0,0.1);
}
.hav-cookies-container {
   display:flex;
   justify-content: center;
}
/*Text */
.hav-cookies-text-link {
   max-width: 724px;
   text-align: left;
   margin-right: 2rem;
}

a.hav-cookies-read-more {
   display:block;
   min-height: 24px;
}


.hav-cookies--text p.normal, .hav-cookies-read-more--link p.normal {
   margin-top: 0;
   line-height: 1.5;
   font-size: 0.85rem;
}



/* Button */
a.hav-cookies-btn,
a.hav-cookies-btn:hover,
a.forget-cookies-btn,
a.forget-cookies-btn:hover
{
   padding: .65rem 0.85rem !important;
   color: #fff;
   text-decoration: none !important;
   font-size: 0.85rem;
   white-space: nowrap;
}
.hav-cookies-button {
   display: flex;
   align-items: center;
   justify-content: center;
}

@media(max-width: 990px) {
   .hav-cookies-container {
      flex-direction: column;
   }
   .hav-cookies-button {
      margin-top: 1rem;
      justify-content: flex-start;
   }
   a.hav-cookies-btn,
   a.hav-cookies-btn:hover,
   a.forget-cookies-btn,
   a.forget-cookies-btn:hover
   {
      font-size: 0.75rem;
   }
   .hav-cookies--text p.normal, .hav-cookies-read-more--link p.normal {
   	margin-top: 0;
   	line-height: 1rem;
   	font-size: 0.75rem;
	}
}

/* gallery portlet */

a.cboxElement {
    padding-top: 0.2rem;
    padding-bottom: 0.2rem;
}

/* image portlet */
.sv-image-portlet a,
.sv-print-portlet a,
.sv-file-portlet-file a,
.sv-script-portlet p.normal a {
    padding-top: 0.2rem;
    padding-bottom: 0.2rem;   
}

.sv-image-portlet a {
   display:block;
   min-width: 2rem;
}


    /* Markering av förklarbara ord */
    .explain-word {
      border-bottom: 1px dotted #4a7fa5;
      /* color: #1a5276; */
      cursor: help;
      font-weight: 500;
      padding-bottom: 0.75px;
      transition: background 0.15s, color 0.15s;
    }

    .explain-word:hover,
    .explain-word:focus {
      background: #eaf3fb;
      color: #154360;
      border-radius: 2px;
      outline: none;
    }